<template>
  <v-alert
    v-if="hintData.enabled"
    border="bottom"
    colored-border
    type="warning"
    elevation="2"
  >
    {{ hintData.message }}
  </v-alert>
</template>

<script setup lang="ts">
/*
 * This file is Free Software under GNU Affero General Public License v >= 3.0
 * without warranty, see README.md and license for details.
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 *
 * SPDX-FileCopyrightText: 2023 cert.at GmbH <https://cert.at>
 * Software-Engineering: 2023 Martin Haidn <https://haidn.eu>
 *
 * Author(s):
 * - Martin Haidn <martin@haidn.eu>
 */

/*
 * This component has been introduced because of the requirement to display an optional information
 * text in the client. The original background was to clarify that contacts edited in Tuency are not passed on
 * and must still be reported manually to the Federal Criminal Police Office in accordance with NISG §16 section 3.
 *
 * Since this hint was the only one needed so far the functionality is currently mapped only in this component.
 * If there are further requirements for optional ui messages, it should be considered to outsource the
 * configuration to a backend service and dynamically display the contents in the client.
 */
import { computed } from "vue";

const hintData = computed(() => {
  let enabled = false;
  let message = undefined;

  try {
    message = process.env.VUE_APP_DATA_EDIT_MESSAGE_TEXT;
    enabled =
      process.env.VUE_APP_DATA_EDIT_MESSAGE_ENABLED === "true" && message;
  } catch {
    // Module is not active if the environment variables cannot be loaded.
  }

  return {
    enabled,
    message
  };
});
</script>
